ChangeSet 1.1005.1.6, 2003/06/27 11:58:51-07:00, grigouze@noos.fr

[PATCH] USB: zaurus SL-C700

This is a patch for usbnet for working with Zaurus SL-C700.
The productid is different from other Zaurus, so i add an entry for it :)


 drivers/usb/usbnet.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+)


diff -Nru a/drivers/usb/usbnet.c b/drivers/usb/usbnet.c
--- a/drivers/usb/usbnet.c	Fri Jun 27 16:27:15 2003
+++ b/drivers/usb/usbnet.c	Fri Jun 27 16:27:15 2003
@@ -1377,8 +1377,18 @@
 	.in = 1, .out = 2,
 	.epsize = 64,
 };
+static const struct driver_info	zaurus_slc700_info = {
+	.description =	"Sharp Zaurus SL-C700",
+	.flags =	FLAG_FRAMING_Z,
+	.check_connect = always_connected,
+	.tx_fixup = 	zaurus_tx_fixup,
+
+	.in = 1, .out = 2,
+	.epsize = 64,
+};
 
 // SL-5600 and C-700 are PXA based; should resemble A300
+// but C-700 had a different idProduct so i had an entry :)
 
 #endif
 
@@ -2353,6 +2363,15 @@
 	.bInterfaceSubClass	= 0x0a,
 	.bInterfaceProtocol	= 0x00,
 	.driver_info =  (unsigned long) &zaurus_slb500_info,
+}, {
+	.match_flags	=   USB_DEVICE_ID_MATCH_INT_INFO
+			  | USB_DEVICE_ID_MATCH_DEVICE, 
+	.idVendor		= 0x04DD,
+	.idProduct		= 0x8007,
+	.bInterfaceClass	= 0x02,
+	.bInterfaceSubClass	= 0x0a,
+	.bInterfaceProtocol	= 0x00,
+	.driver_info =  (unsigned long) &zaurus_slc700_info,
 },
 #endif
 
